Page MenuHomePhabricator

Cron collects Visual Editor deployments [8 pts] {lion}
Closed, ResolvedPublic

Description

(Edited: it's easy enough for cron to get this data, no need to mess with reportupdater)

Right now I was able to grab candidates for the visual editor deployments in two ways:

git branch -a | grep remotes/origin/wmf/1.25wmf | grep -o wmf/.* | xargs -I {} sh -c 'git checkout -q {}; git log --pretty=format:"%ci (%h) %an -- %s" extensions/VisualEditor/ | grep VisualEditor;' | sort

search for VisualEditor on https://wikitech.wikimedia.org/w/index.php?title=Server_Admin_Log&action=raw

  • reconcile these two
  • make an automated way to get "good enough" data
  • run in a reliable scheduler

Event Timeline

Milimetric claimed this task.
Milimetric raised the priority of this task from to Needs Triage.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Kanban.
Milimetric moved this task to Next Up on the Analytics-Kanban board.
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 3:50 PM
Milimetric updated the task description. (Show Details)Feb 11 2015, 5:58 PM
Milimetric set Security to None.
kevinator renamed this task from Reliable scheduler collects Visual Editor deployments to Reliable scheduler collects Visual Editor deployments {bear}.Feb 12 2015, 2:12 AM
kevinator triaged this task as High priority.
kevinator lowered the priority of this task from High to Normal.
kevinator renamed this task from Reliable scheduler collects Visual Editor deployments {bear} to Reliable scheduler collects Visual Editor deployments {lion}.Feb 19 2015, 2:07 AM
kevinator renamed this task from Reliable scheduler collects Visual Editor deployments {lion} to Reliable scheduler collects Visual Editor deployments [8 pts] {lion}.Feb 26 2015, 5:27 PM
kevinator moved this task from Next Up to Tasked_Hidden on the Analytics-Kanban board.

We can be relatively confident that the current git command gets a good approximation of "deployment". It will be a few days behind in most cases, as the deployment train catches up with the submodule update. We have determined that this is "good enough" for the purpose of identifying dates "close enough" to deployments.

Milimetric renamed this task from Reliable scheduler collects Visual Editor deployments [8 pts] {lion} to Cron collects Visual Editor deployments [8 pts] {lion}.Mar 27 2015, 11:00 PM
Milimetric updated the task description. (Show Details)
Milimetric closed this task as Resolved.Apr 8 2015, 5:00 PM

I made a script to do this, cloned a copy of mediawiki-core on stat1003, and scheduled the script to run nightly:

update the Visual Editor deployments so they can be graphed

0 4 * * * /home/milimetric/update-visual-editor-deployments.sh

This is running on my (milimetric) crontab on stat1003.